{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "cli": {
    "packageManager": "yarn",
    "schematicCollections": ["@angular-eslint/schematics"],
    "analytics": "2bccdff1-3aff-4f10-b233-211065aa25d9"
  },
  "newProjectRoot": "projects",
  "projects": {
    "red-ui": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss",
          "skipTests": true
        },
        "@schematics/angular:class": {
          "skipTests": true
        },
        "@schematics/angular:directive": {
          "skipTests": true
        },
        "@schematics/angular:guard": {
          "skipTests": true
        },
        "@schematics/angular:pipe": {
          "skipTests": true
        },
        "@schematics/angular:service": {
          "skipTests": true
        }
      },
      "root": "",
      "sourceRoot": "apps/red-ui/src",
      "prefix": "redaction",
      "targets": {
        "build": {
          "builder": "@angular/build:application",
          "options": {
            "outputPath": {
              "base": "dist/apps/red-ui"
            },
            "index": "apps/red-ui/src/index.html",
            "polyfills": ["apps/red-ui/src/polyfills.ts"],
            "tsConfig": "tsconfig.json",
            "baseHref": "/ui/",
            "assets": [
              "apps/red-ui/src/favicon.ico",
              {
                "glob": "**/*",
                "input": "node_modules/@pdftron/webviewer/public/",
                "output": "/assets/wv-resources/10.10.1/"
              },
              {
                "glob": "**/*",
                "input": "apps/red-ui/src/assets/",
                "output": "/assets/"
              },
              {
                "glob": "**/*",
                "input": "libs/common-ui/src/assets/",
                "output": "/assets/"
              },
              {
                "glob": "**/*",
                "input": "node_modules/monaco-editor",
                "output": "/assets/monaco-editor/"
              },
              "apps/red-ui/src/manifest.webmanifest"
            ],
            "styles": ["apps/red-ui/src/styles.scss", "libs/common-ui/src/assets/styles/common-styles.scss"],
            "stylePreprocessorOptions": {
              "includePaths": ["./apps/red-ui/src/assets/styles", "./libs/common-ui/src/assets/styles"]
            },
            "scripts": ["node_modules/@pdftron/webviewer/webviewer.min.js", "node_modules/chart.js/auto/auto.cjs"],
            "extractLicenses": false,
            "sourceMap": true,
            "optimization": false,
            "namedChunks": true,
            "browser": "apps/red-ui/src/main.ts"
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "apps/red-ui/src/environments/environment.ts",
                  "with": "apps/red-ui/src/environments/environment.prod.ts"
                }
              ],
              "optimization": {
                "scripts": true,
                "styles": {
                  "minify": true,
                  "inlineCritical": false
                },
                "fonts": true
              },
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "20kb"
                }
              ],
              "serviceWorker": "ngsw-config.json"
            }
          }
        },
        "serve": {
          "builder": "@angular/build:dev-server",
          "options": {
            "buildTarget": "red-ui:build"
          },
          "configurations": {
            "production": {
              "buildTarget": "red-ui:build:production"
            }
          }
        }
      }
    }
  }
}
